org.gitana.platform.services.traversal

## Class TraversalBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gitana.platform.services.traversal.TraversalBuilderException

All Implemented Interfaces:
  Serializable

    public class TraversalBuilderException
    extends RuntimeException

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TraversalBuilderException(String msg)`
`TraversalBuilderException(String msg, Throwable cause)`
`TraversalBuilderException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TraversalBuilderException

    public TraversalBuilderException(String msg)

#### TraversalBuilderException

    public TraversalBuilderException(String msg,
                                     Throwable cause)

#### TraversalBuilderException

    public TraversalBuilderException(Throwable cause)